import cheerio from "cheerio";
import { isTypeReferenceNode } from "typescript";

export namespace Template {
    export async function check(html: string) {
        try {
            const $ = cheerio.load(html);

            return false;
        } catch (error) {
            console.error(`Error occured during stock check!`);
            return false;
        }
    }
}


export namespace BolCom {
    export async function check(html: string) {
        try {
            const $ = cheerio.load(html);
            let stock = false;

            $('script[type="application/ld+json"]').each((index, element) => {
                let json = JSON.parse($(element).html());
            
                if (json["@type"]) {
                    if (json["@type"] == "Product") {
                        if (json["offers"]["availability"].includes("InStock")) {
                            stock = true;
                            return;
                        }
                    }
                }
            });

            return stock;
        } catch (error) {
            console.log(error);
            console.error(`Error occured during stock check!`);
            return false;
        }
    }
}


